#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    string s;
    cin>>s;
    vector<pair<int, int>> v;
    int start=1;
    for(int i=1;i<s.size();i++)
    {
        if(s[i-1]>s[i])
        {
            v.push_back({start, i});
            start=i+1;
        }
    }
    v.push_back({start, s.size()});
    //for(int i=0;i<v.size();i++)cout<<v[i].first<<' '<<v[i].second<<'\n';

    int q;
    cin>>q;
    for(int iii=0;iii<q;iii++)
    {
        int l, r;
        cin>>l>>r;
        int res=1;
        for(int i=0;i<v.size();i++)
        {
            if(v[i].first<=l && v[i].second>=l)
            {
                res-=i;
                //cout<<i<<' ';
                break;
            }
        }
        for(int i=0;i<v.size();i++)
        {
            if(r<=v[i].second && r>=v[i].first)
            {
                res+=i;
                //cout<<i<<'\n';
                break;
            }
        }
        cout<<res<<'\n';
    }

}
